    <style>
      .wait {
          display: block;
          text-align: center;
          font-size: 5em;
      }
      .hidden {
          display: none;
      }
      .spinner-wrapper {
          position: fixed;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          z-index: 1000;
          background: white;
      }
      .spinner {
          display: block;
          position: relative;
          left: 50%;
          top: 50%;
          width: 150px;
          height: 150px;
          margin: -75px 0 0 -75px;
          border: 10px transparent solid;
          border-top-color:black;
          border-radius: 50%;
          border-bottom: 10px transparent solid;
          z-index: 1500;

          /* Animation stuff below */
          -webkit-animation: spin 2s linear infinite;
          animation: spin 2s linear infinite;
      }
      .spinner:after {
          content: "";
          position: absolute;
          top: 15px;
          left: 15px;
          right: 15px;
          bottom: 15px;
          border: 10px transparent solid;
          border-top-color:black;
          border-radius: 50%;

          /* Animation stuff below */
          -webkit-animation: spin 3s linear infinite;
          animation: spin 3s linear infinite;
      }

      @-webkit-keyframes spin {
          0%   {
              -webkit-transform: rotate(0deg);  /* Chrome, Opera 15+, Safari 3.1+ */
              -ms-transform: rotate(0deg);  /* IE 9 */
              transform: rotate(0deg);  /* Firefox 16+, IE 10+, Opera */
          }
          100% {
              -webkit-transform: rotate(360deg);  /* Chrome, Opera 15+, Safari 3.1+ */
              -ms-transform: rotate(360deg);  /* IE 9 */
              transform: rotate(360deg);  /* Firefox 16+, IE 10+, Opera */
          }
      }
      @keyframes spin {
          0%   {
              -webkit-transform: rotate(0deg);  /* Chrome, Opera 15+, Safari 3.1+ */
              -ms-transform: rotate(0deg);  /* IE 9 */
              transform: rotate(0deg);  /* Firefox 16+, IE 10+, Opera */
          }
          100% {
              -webkit-transform: rotate(360deg);  /* Chrome, Opera 15+, Safari 3.1+ */
              -ms-transform: rotate(360deg);  /* IE 9 */
              transform: rotate(360deg);  /* Firefox 16+, IE 10+, Opera */
          }
      }
    </style>
